[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: 1.7.0 does not build on Solaris9

From: Daniel Shahaf <d.s_at_daniel.shahaf.name>
Date: Tue, 18 Oct 2011 23:21:12 +0200

Andreas Krey wrote on Tue, Oct 18, 2011 at 23:15:29 +0200:
> On Tue, 18 Oct 2011 22:12:47 +0000, Daniel Shahaf wrote:
> ...
> > - those foo.h file generated from foo.sql files are supposed to be
> > pre-generated in the tarball
>
> They are. Except that I copied over the tree, and the timestamps
> afterwards were so that it tought it necessary to recreate. Ouch.
>

Is there something we can do in the release process to help avoid this?

> Ok, after an '#include <unistd.h>' in the sqlite amalg (for ftruncate),
> a few touches on the generated .h, and re-invoking the linker commands
> (quite a few) with an -lintl added, I seem to have a binary.
>
> But svnadmin greets me with:
>
> + svnadmin create repo
> svnadmin: Version mismatch in 'svn_delta': found 1.5.5, expected 1.7.0
> svnadmin: Version mismatch in 'svn_fs': found 1.5.5, expected 1.7.0
> svnadmin: Version mismatch in 'svn_repos': found 1.5.5, expected 1.7.0
> svnadmin: Version mismatch in 'svn_subr': found 1.5.5, expected 1.7.0
>

Did you build with debug or maintainer flags?

ldd svnadmin

(or 'libtool --mode=execute ldd ./subversion/svnadmin/svnadmin', if
svnadmin is a libtool wrapper.)
Received on 2011-10-18 23:21:57 CEST

This is an archived mail posted to the Subversion Users mailing list.